namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter09.Listing09_05
{
    using System;
    using System.Collections.Generic;

    public class DisplayFibonacci
    {
        static void Main()
        {
            int totalCount;
            List<double> list = new List<double>();

            Console.Write("Wprowadź liczbę z przedziału od 2 do 1000:");
            totalCount = int.Parse(Console.ReadLine());

            // Błąd czasu wykonania:
            // list.Add(0); // Potrzebne jest rzutowanie na typ double lub przyrostek 'D'.
            // Niezależnie od wybranego rozwiązania 
            // kod CIL jest identyczny.
            list.Add((double)0);
            list.Add((double)1);
            for(int count = 2; count < totalCount; count++)
            {
                list.Add(
                    ((double)list[count - 1] +
                    (double)list[count - 2]));
            }

            foreach(double count in list)
            {
                Console.Write("{0}, ", count);
            }
        }
    }
}
